aboutsummaryrefslogtreecommitdiff
path: root/bin/isgr.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-04-05 20:06:39 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-04-05 20:46:47 +1200
commitc8ab406749124d2e762ad5cf53963070113afd0f (patch)
tree54c9721a06957ebe7098a211eea803b0230c0f5d /bin/isgr.sh
parentHandle POSIX correctness in ~/.bash_profile (diff)
downloaddotfiles-c8ab406749124d2e762ad5cf53963070113afd0f.tar.gz
dotfiles-c8ab406749124d2e762ad5cf53963070113afd0f.zip
Apply runtime shebanging to POSIX shell
Diffstat (limited to 'bin/isgr.sh')
-rw-r--r--bin/isgr.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/isgr.sh b/bin/isgr.sh
new file mode 100644
index 00000000..9d3e97a8
--- /dev/null
+++ b/bin/isgr.sh
@@ -0,0 +1,12 @@
+# Return an exit status for whether the current directory appears to be in a
+# Git working copy
+
+# No output, at all, ever; this is intended for use in scripting
+exec >/dev/null 2>&1
+
+# Enter the given directory (default to current directory)
+cd -- "${1:-.}" || exit
+
+# If neither of these commands work, this isn't a Git repository
+git symbolic-ref --quiet HEAD ||
+git rev-parse --short HEAD